import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_python3_is_installed(host):
    python3 = host.package("python3")
    pip3 = host.package("python3-pip")

    assert python3.is_installed
    assert pip3.is_installed


def test_python3_bin(host):
    version = host.run("/opt/rh/rh-python38/root/usr/bin/python3 --version").stdout

    assert "Python 3.8" in version
