import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_python3_is_installed(host):
    python3 = host.package("python39")
    pip3 = host.package("python39-pip")

    assert python3.is_installed
    assert pip3.is_installed


def test_python3_bin(host):
    version = host.run("/usr/bin/python3 --version").stdout

    assert "Python 3.9" in version
